Retrieve products
curl --request GET \
--url https://api.spacebring.com/shop/products/v1 \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.spacebring.com/shop/products/v1"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.spacebring.com/shop/products/v1', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"products": [
{
"categoryRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createDate": "2023-11-07T05:31:56Z",
"description": "<string>",
"featured": true,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"imageUrl": "<string>",
"locale": "<string>",
"locationRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"media": [
{
"key": "<string>",
"url": "<string>"
}
],
"networkRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"options": [
{
"available": true,
"createDate": "2023-11-07T05:31:56Z",
"customTax": {
"enabled": true,
"rate": 123
},
"description": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"price": {
"credits": {
"amount": 123,
"enabled": true,
"amountDiscounted": 123
},
"money": {
"amount": 123,
"currencyCode": "<string>",
"enabled": true,
"amountDiscounted": 123
}
},
"stock": {
"enabled": true,
"quantity": 123
},
"title": "<string>"
}
],
"order": {
"enabled": true
},
"title": "<string>",
"updateDate": "2023-11-07T05:31:56Z"
}
],
"nextPageToken": "<string>",
"searchQueryNext": "<string>"
}{
"message": "<string>",
"type": "<string>"
}Shop
Retrieve products
Retrieve products from shop.
OAuth
Required scopes:shop.readonly or shopGET
/
shop
/
products
/
v1
Retrieve products
Authorizations
BasicAuthOAuth2
See our authentication documentation for how to authorize your requests
Headers
The id of the network. Required when using bearer token authentication
Query Parameters
UUID of the shop category.
Comma-separated product UUIDs, e.g. uuid1,uuid2. Up to 25 ids per request.
Maximum number of products per page. Defaults to 25 when omitted or invalid; values above 100 are capped at 100.
Required range:
1 <= x <= 100UUID of the location.
Pagination token from nextPageToken in a previous response. Keep the same filters when fetching the next page.
Was this page helpful?
⌘I